#**************************************************************************
#    copyright            : (C) 2005 by Michael Zimmermann
#    email                : webmaster@incunabulum.de
# ***************************************************************************/

#***************************************************************************
#                                                                         *
#    This program is free software; you can redistribute it and/or modify  *
#    it under the terms of version 2 of the GNU General Public License as  *
#    published by the Free Software Foundation;                            *
#                                                                          *
# **************************************************************************/

"""

"""
import logging
import sys
from distutils.sysconfig import *
from logging.config import fileConfig
from qt import *
from mainwindow import MainWindow
from tools import getProjectDir

project_name = 'ZodbAnalyzer'
projectDir = getProjectDir(project_name)

try:
        fileConfig("logging.ini")
        print 'Using local logging.ini'
except:
        fileConfig(projectDir + "/logging.ini")

def main(args):

        app=QApplication(args)
        win=MainWindow()
        app.setMainWidget(win)
        win.show()
        app.connect(app, SIGNAL("lastWindowClosed()")
                , app
                , SLOT("quit()"))
        app.exec_loop()

if __name__=="__main__":
        main(sys.argv)
        
        
